## org.gnu.gtk
Interface FileChooser

All Known Implementing Classes:
  FileChooserDialog, FileChooserWidget

public interface FileChooser

Method Summary
`void` `addFilter(FileFilter filter)`
`void` `addShortcutFolder(java.lang.String folder)`
`void` `addShortcutURI(java.lang.String uri)`
`FileChooserAction` `getAction()`
`java.lang.String` `getCurrentFolder()`
`java.lang.String` `getCurrentFolderURI()`
`Widget` `getExtraWidget()`
`java.lang.String` `getFilename()`
`java.lang.String[]` `getFilenames()`
`FileFilter` `getFilter()`
`boolean` `getLocalOnly()`
`java.lang.String` `getPreviewFilename()`
`java.lang.String` `getPreviewURI()`
`Widget` `getPreviewWidget()`
`boolean` `getPreviewWidgetActive()`
`boolean` `getSelectMultiple()`
`boolean` `getShowHidden()`
`java.lang.String` `getURI()`
`java.lang.String[]` `getURIs()`
`boolean` `getUsePreviewLabel()`
`FileFilter[]` `listFilters()`
`java.lang.String[]` `listShortcutFolders()`
`java.lang.String[]` `listShortcutURIs()`
`void` `removeFilter(FileFilter filter)`
`void` `removeShortcutFolder(java.lang.String folder)`
`void` `removeShortcutURI(java.lang.String uri)`
`void` `selectAll()`
`boolean` `selectFilename(java.lang.String filename)`
`boolean` `selectURI(java.lang.String uri)`
`void` `setAction(FileChooserAction action)`
`boolean` `setCurrentFolder(java.lang.String folder)`
`boolean` `setCurrentFolderURI(java.lang.String folder)`
`void` `setCurrentName(java.lang.String name)`
`void` `setExtraWidget(Widget extraWidget)`
`boolean` `setFilename(java.lang.String filename)`
`void` `setFilter(FileFilter filter)`
`void` `setLocalOnly(boolean localOnly)`
`void` `setPreviewWidget(Widget previewWidget)`
`void` `setPreviewWidgetActive(boolean active)`
`void` `setSelectMultiple(boolean selectMultiple)`
`void` `setShowHidden(boolean hidden)`
`boolean` `setURI(java.lang.String uri)`
`void` `setUsePreviewLabel(boolean useLabel)`
`void` `unselectAll()`
`void` `unselectFilename(java.lang.String filename)`
`void` `unselectURI(java.lang.String uri)`

Method Detail

### setAction

    public void setAction(FileChooserAction action)

### getAction

    public FileChooserAction getAction()

### setLocalOnly

    public void setLocalOnly(boolean localOnly)

### getLocalOnly

    public boolean getLocalOnly()

### setSelectMultiple

    public void setSelectMultiple(boolean selectMultiple)

### getSelectMultiple

    public boolean getSelectMultiple()

### setCurrentName

    public void setCurrentName(java.lang.String name)

### getFilename

    public java.lang.String getFilename()

### setFilename

    public boolean setFilename(java.lang.String filename)

### selectFilename

    public boolean selectFilename(java.lang.String filename)

### unselectFilename

    public void unselectFilename(java.lang.String filename)

### selectAll

    public void selectAll()

### unselectAll

    public void unselectAll()

### getFilenames

    public java.lang.String[] getFilenames()

### setCurrentFolder

    public boolean setCurrentFolder(java.lang.String folder)

### getCurrentFolder

    public java.lang.String getCurrentFolder()

### getURI

    public java.lang.String getURI()

### setURI

    public boolean setURI(java.lang.String uri)

### selectURI

    public boolean selectURI(java.lang.String uri)

### unselectURI

    public void unselectURI(java.lang.String uri)

### getURIs

    public java.lang.String[] getURIs()

### setCurrentFolderURI

    public boolean setCurrentFolderURI(java.lang.String folder)

### getCurrentFolderURI

    public java.lang.String getCurrentFolderURI()

### setPreviewWidget

    public void setPreviewWidget(Widget previewWidget)

### getPreviewWidget

    public Widget getPreviewWidget()

### setPreviewWidgetActive

    public void setPreviewWidgetActive(boolean active)

### getPreviewWidgetActive

    public boolean getPreviewWidgetActive()

### setUsePreviewLabel

    public void setUsePreviewLabel(boolean useLabel)

### getUsePreviewLabel

    public boolean getUsePreviewLabel()

### getPreviewFilename

    public java.lang.String getPreviewFilename()

### getPreviewURI

    public java.lang.String getPreviewURI()

### setExtraWidget

    public void setExtraWidget(Widget extraWidget)

### getExtraWidget

    public Widget getExtraWidget()

### addFilter

    public void addFilter(FileFilter filter)

### removeFilter

    public void removeFilter(FileFilter filter)

### listFilters

    public FileFilter[] listFilters()

### setFilter

    public void setFilter(FileFilter filter)

### getFilter

    public FileFilter getFilter()

### addShortcutFolder

    public void addShortcutFolder(java.lang.String folder)
                           throws FileChooserException

  Throws:
    `FileChooserException`

### removeShortcutFolder

    public void removeShortcutFolder(java.lang.String folder)
                              throws FileChooserException

  Throws:
    `FileChooserException`

### listShortcutFolders

    public java.lang.String[] listShortcutFolders()

### addShortcutURI

    public void addShortcutURI(java.lang.String uri)
                        throws FileChooserException

  Throws:
    `FileChooserException`

### removeShortcutURI

    public void removeShortcutURI(java.lang.String uri)
                           throws FileChooserException

  Throws:
    `FileChooserException`

### listShortcutURIs

    public java.lang.String[] listShortcutURIs()

### setShowHidden

    public void setShowHidden(boolean hidden)

### getShowHidden

    public boolean getShowHidden()